Loading...
Searching...
No Matches
WGPUDeviceDescriptor Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPU_NULLABLE char const * | label
size_t | requiredFeatureCount
WGPUFeatureName const * | requiredFeatures
WGPU_NULLABLE WGPURequiredLimits const * | requiredLimits
WGPUQueueDescriptor | defaultQueue
WGPUDeviceLostCallback | deviceLostCallback
void * | deviceLostUserdata

## Detailed Description

Definition at line 1973 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPUDeviceDescriptor::nextInChain

Definition at line 1974 of file mini_webgpu.h.

## label

WGPU_NULLABLE char const* WGPUDeviceDescriptor::label

Definition at line 1975 of file mini_webgpu.h.

## requiredFeatureCount

size_t WGPUDeviceDescriptor::requiredFeatureCount

Definition at line 1976 of file mini_webgpu.h.

## requiredFeatures

WGPUFeatureName const* WGPUDeviceDescriptor::requiredFeatures

Definition at line 1977 of file mini_webgpu.h.

## requiredLimits

WGPU_NULLABLE WGPURequiredLimits const* WGPUDeviceDescriptor::requiredLimits

Definition at line 1978 of file mini_webgpu.h.

## defaultQueue

WGPUQueueDescriptor WGPUDeviceDescriptor::defaultQueue

Definition at line 1979 of file mini_webgpu.h.

## deviceLostCallback

WGPUDeviceLostCallback WGPUDeviceDescriptor::deviceLostCallback

Definition at line 1980 of file mini_webgpu.h.

## deviceLostUserdata

void* WGPUDeviceDescriptor::deviceLostUserdata

Definition at line 1981 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h